Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer
Class SHA1WithRSAProxySignature

    java.lang.Object
      java.security.SignatureSpi
          java.security.Signature
              be.fedict.eid.applet.service.signer.SHA1WithRSAProxySignature

    public class SHA1WithRSAProxySignature

extends Signature

A signature proxy implementation for SHA1withRSA signatures.

Author:
  Frank Cornelis

Field Summary

Fields inherited from class java.security.Signature
`SIGN, state, UNINITIALIZED, VERIFY`

Fields inherited from class java.security.SignatureSpi
`appRandom`

Constructor Summary
`SHA1WithRSAProxySignature()`

Method Summary
`protected Object` | `engineGetParameter(String param)`
`protected void` | `engineInitSign(PrivateKey privateKey)`
`protected void` | `engineInitVerify(PublicKey publicKey)`
`protected void` | `engineSetParameter(String param, Object value)`
`protected byte[]` | `engineSign()`
`protected void` | `engineUpdate(byte b)`
`protected void` | `engineUpdate(byte[] b, int off, int len)`
`protected boolean` | `engineVerify(byte[] sigBytes)`
`static byte[]` | `getDigestValue()`
`static void` | `reset()`
`static void` | `setDigestSignatureValue(byte[] digestValue, byte[] signatureValue)`
`static void` | `setSignatureValue(byte[] signatureValue)`

Methods inherited from class java.security.Signature
`clone, getAlgorithm, getInstance, getInstance, getInstance, getParameter, getParameters, getProvider, initSign, initSign, initVerify, initVerify, setParameter, setParameter, sign, sign, toString, update, update, update, update, verify, verify`

Methods inherited from class java.security.SignatureSpi
`engineGetParameters, engineInitSign, engineSetParameter, engineSign, engineUpdate, engineVerify`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SHA1WithRSAProxySignature

    public SHA1WithRSAProxySignature()
                              throws NoSuchAlgorithmException

Throws:
  `NoSuchAlgorithmException`

Method Detail

### reset

    public static void reset()

### engineGetParameter

    protected Object engineGetParameter(String param)
                                 throws InvalidParameterException

  Specified by:
    `engineGetParameter` in class `SignatureSpi`
  Throws:
    `InvalidParameterException`

### engineInitSign

    protected void engineInitSign(PrivateKey privateKey)
                           throws InvalidKeyException

  Specified by:
    `engineInitSign` in class `SignatureSpi`
  Throws:
    `InvalidKeyException`

### engineInitVerify

    protected void engineInitVerify(PublicKey publicKey)
                             throws InvalidKeyException

  Specified by:
    `engineInitVerify` in class `SignatureSpi`
  Throws:
    `InvalidKeyException`

### engineSetParameter

    protected void engineSetParameter(String param,
                                      Object value)
                               throws InvalidParameterException

  Specified by:
    `engineSetParameter` in class `SignatureSpi`
  Throws:
    `InvalidParameterException`

### engineSign

    protected byte[] engineSign()
                         throws SignatureException

  Specified by:
    `engineSign` in class `SignatureSpi`
  Throws:
    `SignatureException`

### engineUpdate

    protected void engineUpdate(byte b)
                         throws SignatureException

  Specified by:
    `engineUpdate` in class `SignatureSpi`
  Throws:
    `SignatureException`

### engineUpdate

    protected void engineUpdate(byte[] b,
                                int off,
                                int len)
                         throws SignatureException

  Specified by:
    `engineUpdate` in class `SignatureSpi`
  Throws:
    `SignatureException`

### engineVerify

    protected boolean engineVerify(byte[] sigBytes)
                            throws SignatureException

  Specified by:
    `engineVerify` in class `SignatureSpi`
  Throws:
    `SignatureException`

### getDigestValue

    public static byte[] getDigestValue()

### setSignatureValue

    public static void setSignatureValue(byte[] signatureValue)

### setDigestSignatureValue

    public static void setDigestSignatureValue(byte[] digestValue,
                                               byte[] signatureValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.